Subject: Re: linux-next: build failure after merge of the final tree

From: Marc Zyngier <[email-masked]>
Date: Wed, 11 Mar 2026 16:29:58 +0000

On Wed, 11 Mar 2026 16:11:40 +0000,
Vincent Donnefort <[email-masked]> wrote:
> 
> On Wed, Mar 11, 2026 at 03:57:50PM +0000, Mark Brown wrote:
> > Hi all,
> > 
> > During the final build, today's linux-next build (arm64 allyesconfig)
> > failed like this:
> > 
> > /tmp/next/build/arch/arm64/kvm/hyp/nvhe/trace.c:16:10: fatal error: simple_ring_buffer.c: No such file or directory
> >    16 | #include "simple_ring_buffer.c"
> >       |          ^~~~~~~~~~~~~~~~~~~~~~
> > 
> > 
> > Caused by commit
> > 
> >   680a04c333fa2 (KVM: arm64: Add tracing capability for the nVHE/pKVM hyp)
> > 
> > It's not clear to me how this is supposed to work for O= builds like
> > -next does, the Makefile does:
> > 
> >    CFLAGS_trace.nvhe.o += -I$(objtree)/kernel/trace/
> > 
> > which is pointing at the object directory but simple_ring_buffer.c isn't
> > generated so I'd expect to be looking for it relative to $(src).  I have
> > ignored this for today for the purposes of -next.
> 
> Arg of course, it should be
> 
> -CFLAGS_trace.nvhe.o += -I$(objtree)/kernel/trace/
> +CFLAGS_trace.nvhe.o += -I$(srctree)/kernel/trace/
> 
> Marc, how do you want to proceed for that one? 

Patch on top of kvmarm/next, please.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.